harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ivan Volosyuk" <ivan.volos...@gmail.com>
Subject Re: svn commit: r416738 - /incubator/harmony/enhanced/drlvm/trunk/vm/vmcore/src/init/bootclasspath.properties
Date Mon, 26 Jun 2006 15:05:16 GMT
Tim,

I am talking about the version of eclipse compiler from eclipse
downloaded by drlvm build. It works on jre1.4, but it refuses to
accept -target jsr14 and -source 1.5 if running on jre1.4.
The eclipse compiler downloaded by classlib (ecj_*) works fine with
this settings.
--
Best regards,
Ivan

On 6/26/06, Tim Ellison <t.p.ellison@gmail.com> wrote:
> Ivan Volosyuk wrote:
> > I have found solution for this build problem. If somebody interested:
> >
> > To use downloaded eclipse (or its compiler) need to run:
> > sh build.sh -Dbuild.compiler=org.eclipse.jdt.core.JDTCompilerAdapter
> >
> > But the compiler in theis eclipse version doesn't work with jre1.4, so
>
> Not quite sure what this means, since all the Eclipse code only requires
> JRE1.4.
>
> Regards,
> Tim
>
> > I need to change build.sh, removing:
> >  CLASSPATH=$CLASSPATH:`pwd`/make/tmp/org.eclipse.jdt.core_3.1.1.jar
> > and changing:
> >  CLASSPATH=`pwd`/make/tmp/cpptasks/cpptasks.jar:$CLASSPATH
> > in order to use CLASSPATH specified in command line environment. I
> > used ecj_3.2RC5 from classlib. After this, compilation works fine.
> >
> > I run eclipse with the compiled drlvm and it started fine, except for
> > the message:

---------------------------------------------------------------------
Terms of use : http://incubator.apache.org/harmony/mailing.html
To unsubscribe, e-mail: harmony-dev-unsubscribe@incubator.apache.org
For additional commands, e-mail: harmony-dev-help@incubator.apache.org


Mime
View raw message